#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash,
    Copy
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct SkipRowsConfig {
    #[serde(rename = "headerRowIndex")]
    header_row_index: i32,
    #[serde(rename = "dataStartRowIndex")]
    data_start_row_index: i32,
}
impl SkipRowsConfig {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(header_row_index: i32, data_start_row_index: i32) -> Self {
        Self::builder()
            .header_row_index(header_row_index)
            .data_start_row_index(data_start_row_index)
            .build()
    }
    #[inline]
    pub fn header_row_index(&self) -> i32 {
        self.header_row_index
    }
    #[inline]
    pub fn data_start_row_index(&self) -> i32 {
        self.data_start_row_index
    }
}
